View Issue Details

IDProjectCategoryView StatusLast Update
0001567SymmetricDSBugpublic2014-02-15 14:20
ReportermhanesAssigned Tochenson  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.17Fixed in Version3.5.17 
Summary0001567: Transforms that are symmetric aware can get the wrong symmetric engine when multi-homed
DescriptionImplemented a custom transform that needed a sql template. Thus, implemented ISymmetricEngineAware. However, the engine that was established was not the engine that was expected.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 8ccd8df7

2014-02-07 10:29:26

chenson

Details Diff
0001567: Transforms that are symmetric aware can get the wrong symmetric engine when multi-homed Affected Issues
0001567
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/ExtensionPointManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformDatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/TransformWriterTest.java Diff File

Issue History

Date Modified Username Field Change
2014-02-07 10:14 mhanes New Issue
2014-02-07 10:14 mhanes Status new => assigned
2014-02-07 10:14 mhanes Assigned To => chenson
2014-02-07 10:28 chenson Project SymmetricDS Pro => SymmetricDS
2014-02-07 10:32 chenson Status assigned => resolved
2014-02-07 10:32 chenson Fixed in Version => 3.5.17
2014-02-07 10:32 chenson Resolution open => fixed
2014-02-07 11:00 Changeset attached => SymmetricDS trunk r7926
2014-02-15 14:20 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 8ccd8df7